body {
    max-width: 1320px;
    margin: 20px auto;
    padding: 20px;
}

#complaintForm {
    background: #f5f5f5;
    padding: 10px;
    font-family: kalpurush;
    font-size: 1rem;
    font-weight: 400;
}

.form-header {
    font-size: 15px;
    color: #084CED;
    border-bottom: 1px solid #ddd;
    margin: 8px 10px 25px 10px;
    padding-bottom: 5px;
}

.btn-success {
    background-color: #1c84c6;
    border: 2px solid #1c84c6;

}

.form-row {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

.p-row {
    margin-bottom: 20px;
}

.inputDefaultBorderNone {
    border: 1px solid #ddd;
    border-radius: 4px;
    height: 35px;
    width: 100%;
    border: none;
}

.inputDefaultRadio {
    border: 1px solid #ddd;
    border-radius: 4px;
    border: none;
}

.form-group {
    flex: 1;
}

label {
    display: block;
    margin-bottom: 5px;
    color: #333;
}

input, select, textarea {
    width: 100%;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: border-box;
    line-height: 1.5;
    background: #fff;
}

input {
    font-size: 1rem;
}

.form-select {
    --bs-form-select-bg-img: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3E%3C/svg%3E");
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #fff;
    background-image: var(--bs-form-select-bg-img);
    background-position: right .75rem center;
    background-repeat: no-repeat;
    background-size: 16px 12px;
    border: 1px solid #dee2e6;
    border-radius: 0.375rem;
    color: #212529;
    display: block;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    padding: .375rem 2.25rem .375rem .75rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    width: 100%;
}

input:disabled {
    background-color: #e9ecef;
    opacity: 1;
}

.attachment-section {
    margin-top: 20px;
    border-top: 0px solid #ddd;
    padding-top: 0px;
}

.attachment-box {
    padding: .5rem !important;
    margin: .5rem !important;
    border: 1px solid #dee2e6 !important;
}

.file-input {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.file-input input[type="file"] {
    display: none;
}

.custom-file-upload {
    flex: 1;
}



.submit-btn {
    background: #007bff;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.delete-btn {
    background: #f5061a;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.required::after {
    content: "*";
    color: red;
    margin-left: 3px;
}

.attachment-input {
    border: 0px solid #ddd;
    padding: 15px;
    border-radius: 4px;
    margin-bottom: 20px;
}

.input-row {
    display: flex;
    gap: 15px;
    align-items: flex-end;
}

.input-group {
    flex: 1;
}
.error{
    color: red;
}
.input-group label {
    display: block;
    margin-bottom: 5px;
}

.error-msg {
    color: rgba(220, 53, 69) !important;
    height: 18px;
    font-size: 1rem;
}

.attachment-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

.attachment-table th,
.attachment-table td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;

}

.attachment-table th {
    background-color: #f5f5f5;
}
.attachment-table td:nth-child(1) {
    display: none;
}

.attachment-table th:nth-child(1) {
    display: none;
}
/*.table-header {*/
/*    display: grid;*/
/*    grid-template-columns: 1fr 1fr;*/
/*    padding: 10px 15px;*/
/*    background: #f5f5f5;*/
/*    border-bottom: 1px solid #ddd;*/
/*    font-weight: bold;*/
/*}*/

/*.table-body {*/
/*    padding: 10px 15px;*/
/*}*/

/*.table-row {*/
/*    !*display: grid;*! !*与td冲突*!*/
/*    grid-template-columns: 1fr 1fr;*/
/*    padding: 8px 0;*/
/*    border-bottom: 1px solid #eee;*/
/*}*/

/*.table-row:last-child {*/
/*    border-bottom: none;*/
/*}*/
.readonly-input {
    background-color: #e9ecef; /* 浅灰色背景 */
    border-color: #ced4da; /* 边框颜色 */
    color: #6c757d; /* 文本颜色 */
    cursor: not-allowed; /* 鼠标悬停时显示不可用图标 */
}
/*.add-btn {*/
/*    background: #212529;*/
/*    color: white;*/
/*    padding: 8px 15px;*/
/*    border: none;*/
/*    border-radius: 4px;*/
/*    cursor: pointer;*/
/*    height: 38px;*/
/*}*/
.form-control:focus, .single-line:focus {
    border-color: #084CED !important;
}
/*input1:focus {*/
/*    !* 浅蓝色背景 *!*/
/*    background-color: #f0f8ff;*/
/*    !* 轻微放大 *!*/
/*    transform: scale(1.00);*/
/*    transition: all 0.3s ease;*/
/*    !* 边框变宽 *!*/
/*    border-width: 3px;*/
/*    !* 浅蓝色渐变 *!*/
/*    border-image: linear-gradient(to right, #6dd5ed, #2193b0);*/
/*    !* 确保渐变填充整个边框 *!*/
/*    border-image-slice: 1;*/
/*    !* 移除默认的浏览器轮廓 *!*/
/*    outline: none;*/
/*}*/

.form-control::file-selector-button {
    background-color: #f8f9fa;
    border: 0 solid;
    border-inline-end-width: 1px;
    border-radius: 0;
    color: #212529;
    margin: -.375rem -.75rem;
    margin-inline-end: .75rem;
    padding: .375rem .75rem;
    pointer-events: none;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.fa-calendar:before {
    content: "\f133";
}